| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
SpeciesNode Class Reference

Nodes in reaction path graphs. More...

`#include <ReactionPath.h>`

## Detailed Description

Nodes in reaction path graphs.

Definition at line 26 of file ReactionPath.h.

## Public Member Functions
| SpeciesNode ()=default
| Default constructor.
virtual | ~SpeciesNode ()=default
| Destructor.
int | nPaths () const
| Total number of paths to or from this node.
void | addPath (Path *path)
| add a path to or from this node
double | outflow ()
double | inflow ()
double | netOutflow ()
void | printPaths ()
References
Return a reference to a path object connecting this node to another node.
Path * | path (int n)
const Path * | path (int n) const

## Public Attributes
size_t | number = npos
| Species number.
string | name
| Label on graph.
double | value = 0.0
| May be used to set node appearance.
bool | visible = false
| Visible on graph;.

## Protected Attributes
double | m_in = 0.0
double | m_out = 0.0
vector< Path * > | m_paths

## Constructor & Destructor Documentation

## ◆ SpeciesNode()

SpeciesNode | ( |  | ) |
| default

Default constructor.

## ◆ ~SpeciesNode()

virtual ~SpeciesNode | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ path() [1/2]

Path * path | ( | int | n | ) |
| inline

Definition at line 46 of file ReactionPath.h.

## ◆ path() [2/2]

const Path * path | ( | int | n | ) | const
| inline

Definition at line 49 of file ReactionPath.h.

## ◆ nPaths()

int nPaths | ( |  | ) | const
| inline

Total number of paths to or from this node.

Definition at line 55 of file ReactionPath.h.

## ◆ addPath()

void addPath | ( | Path * | path | ) |

add a path to or from this node

Definition at line 22 of file ReactionPath.cpp.

## ◆ outflow()

double outflow | ( |  | ) |
| inline

Definition at line 62 of file ReactionPath.h.

## ◆ inflow()

double inflow | ( |  | ) |
| inline

Definition at line 65 of file ReactionPath.h.

## ◆ netOutflow()

double netOutflow | ( |  | ) |
| inline

Definition at line 68 of file ReactionPath.h.

## ◆ printPaths()

void printPaths | ( |  | ) |

Definition at line 34 of file ReactionPath.cpp.

## Member Data Documentation

## ◆ number

size_t number = npos

Species number.

Definition at line 36 of file ReactionPath.h.

## ◆ name

string name

Label on graph.

Definition at line 37 of file ReactionPath.h.

## ◆ value

double value = 0.0

May be used to set node appearance.

Definition at line 38 of file ReactionPath.h.

## ◆ visible

bool visible = false

Visible on graph;.

Definition at line 39 of file ReactionPath.h.

## ◆ m_in

double m_in = 0.0
| protected

Definition at line 75 of file ReactionPath.h.

## ◆ m_out

double m_out = 0.0
| protected

Definition at line 76 of file ReactionPath.h.

## ◆ m_paths

vector<Path*> m_paths
| protected

Definition at line 77 of file ReactionPath.h.

The documentation for this class was generated from the following files:

- ReactionPath.h
- ReactionPath.cpp